<?php
$HOOKS['admin'] = 'admin';
function admin($pass)
{
    if (!is_dir(INSTALL_DIR)) {
        print "The program has not yet been installed. Complete installation first before updating the password!";
        return false;
    } else {
        chdir(INSTALL_DIR);
        if (!is_string($pass) || empty($pass)) {
            print "Invalid input, installation aborted.";
            return false;
        } else {
            require_once("library.php");
            print "<h1>Updating password settings</h1>\n<p>started at ".date("r")."</p>\n";
            global $YANA;
            $YANA = new Yana("config/system.config", array());
            if (!$YANA->handle("check_login", array("nutzername" => "administrator", "passwort" => ""))) {
                print "<p>Access denied - perhaps the password has already been set?<br>Operation aborted.</p>\n";
            } else if (!$YANA->session->changePwd("administrator", $pass)) {
                print "<p>Unable to change password. Check your input.<br>Operation aborted.</p>\n";
            } else {
                print "<p>Changes saved successfully.</p>\n";
            }
            $YANA->session->logout();
            return true;
        }
    }
}

$HOOKS['test'] = 'test';
function test($show_details)
{
    if (!is_dir(INSTALL_DIR)) {
        print "The program has not yet been installed. Complete installation first before running the self test!";
        return false;
    } else {
        chdir(INSTALL_DIR);
        require_once("library.php");
        global $YANA;
        $YANA = new Yana("config/system.config", array("action" => "test"));
        if (!empty($show_details)) {
            $YANA->handle("test", array("target" => "detailed"));
        } else {
            $YANA->handle("test");
        }
        $YANA->write();
        return true;
    }
}

$HOOKS['installation_complete'] = 'installation_complete';
function installation_complete()
{
    if (!is_dir(INSTALL_DIR)) {
        print "The program has not been installed properly. Unable to init the framework!";
        return false;
    } else {
        chdir(INSTALL_DIR);

        print "<h1>Register installed plugins</h1>\n";
        require_once("library.php");
        global $YANA;
        $YANA = new Yana("config/system.config", array());
        if (!$YANA->handle("check_login", array("nutzername" => "administrator", "passwort" => ""))) {
            print "<p>Access denied - perhaps the password has already been set?<br>Operation aborted.</p>\n";
        } else if (!$YANA->handle("refresh_pluginlist")) {
            print "<p>Error while trying to refresh the list of installed plugins.</p>\n";
        } else {
            print "<p>Configuration updated successfully.</p>\n";
        }
        $YANA->session->logout();
        return true;
    }
}

$HOOKS['terminate_program'] = 'terminate_program';
function terminate_program($do_relocate, $baseURI)
{
    if (!is_dir(INSTALL_DIR)) {
        exit("The program has not been installed properly. Unable to start the framework!");
    } else {
        if ($do_relocate && !headers_sent()) {
            header("Location: ${baseURI}index.php");
            return false;
        } else {
            print "<a href=\"${baseURI}\"index.php>Click here to run the application now</a>";
            return true;
        }
    }
}
?>