<?php
/**
 * YANA library
 *
 * @package yana
 * @license http://creativecommons.org/licenses/by-nc-sa/2.5/
 */

/**
 * Log
 *
 * This class represents log entries passed to the YANA framework.
 * Note that the difference between instances of this class and
 * classes that derive from the base class "Message" is how instances
 * are treated by the function Yana::report().
 * While instances of class "Log" are send to the system logs for a
 * later review by an administrator, instances of class "Message"
 * are directly put to the user's browser.
 *
 * So: Logs are for the administrator - while Messages are for the
 * user.
 *
 * Usually you will have both: a Message for the user and a Log for the
 * administrator.
 *
 * E.g. your software detects a halt due to the failure of an important database operation.
 * Then you might issue a Message saying "Service is temporarily not available" to the user,
 * plus a Log saying "SQL statement '${stmt}' failed. The error reads: ${errMessage}."
 * for review by the administrator.
 *
 * @access      public
 * @package     yana
 * @subpackage  error_reporting
 */
class Log extends Report
{
}

?>