<?php
/**
 * @author     Thomas Meyer
 * @license    http://creativecommons.org/licenses/by-nc-sa/2.5/
 * @package    yana
 * @subpackage plugins
 */

/**
 * RSS to HTML factory setup
 *
 * This implements basic setup functions for
 * the RSS to HTML factory plugin
 *
 * @access     public
 * @package    yana
 * @subpackage plugins
 */
class plugin_rss_admin extends Plugin
{
    /**
     * @access private
     * @var    SML
     * @ignore
     */
    var $file;

    /**
     * Constructor
     *
     * @param string $name a name for this plugin
     * @access public
     * @ignore
     */
    function plugin_rss_admin($name)
    {
        settype($name,"string");        
        global $YANA;
        $this->name = $name;
        $this->file = $YANA->registry->files['config'];
    }

    /**
     * Default event handler
     *
     * returns bool(true) on success and bool(false) on error
     *
     * @access  public
     * @return  bool
     * @param   string  $event  name of the called event in lower-case
     * @param   array   $ARGS   array of arguments passed to the function
     * @ignore
     */
    function _default($event, $ARGS)
    {
        global $YANA;
        /* do nothing */
        return true;
    }

    /**
     * create configuration panel
     *
     * parameters taken:
     *
     * <ul>
     * <li> string id </li>
     * </ul>
     *
     * @access  public
     * @param   array  $ARGS  ignored
     * @return  bool
     * @ignore
     */
    function get_rss_to_html_config($ARGS)
    {
        settype($ARGS, "array");
        global $YANA;
        $YANA->setVar("ID",((!empty($ARGS['id'])) ? $ARGS['id'] : ""));
        return true;
    }

    /**
     * Save configuration data to profi
     *
     * parameters taken:
     *
     * <ul>
     * <li> string rss/file </li>
     * </ul>
     *
     * @access  public
     * @param   array  $ARGS  ignored
     * @return  bool
     * @ignore
     */
    function set_rss_to_html_config($ARGS)
    {
        settype($ARGS, "array");
        global $YANA;
        if ($ARGS['rss/file'] && !file_exists($ARGS['rss/file'])) {
            return false;
        } else if (empty($ARGS['id'])) {
            return $YANA->handle('set_config_default', $ARGS);
        } else {
            return $YANA->handle('set_config_profile', $ARGS);
        }
    }

}

//  2006, Thomas Meyer www.All-Community.de
// Copyright Hinweis nicht entfernen!
?>