var yana_menu_open;
var yana_menu_auto_close = false;

/**
 * open / close a node of a html-menu
 *
 * see the manual on chapter 5.1.5 skins and templates: expandable HTML-menues
 * (toc might be subject to change)
 *
 * @access  public
 * @name    yanaMenu()
 * @param   HtmlNode  o
 * @param   string    defaultDisplay  should be 'none' or 'block', defaults to 'block'
 */
function yanaMenu(o, defaultDisplay)
{
    var i = 0;
    while (o.nextSibling != null && o.nodeName != 'ul' && o.className != 'menu' && i < 500) 
    {
        o = o.nextSibling;
        i++;
    }
    if (!o || !o.style) {
        return;
    }
    if (yana_menu_auto_close && yana_menu_open && yana_menu_open.style) {
        var test = o;
        var is_ancestor = false;
        while (test.parentNode) 
        {
            if (test.parentNode == yana_menu_open) {
                is_ancestor = true;
                break;
            }
            test = test.parentNode;
        }
        if (!is_ancestor) {
            yana_menu_open.style.display = 'none';
        }
    }
    if (o.style.display == 'none') {
        if (defaultDisplay) {
            o.style.display = defaultDisplay;
        } else {
            o.style.display = 'block';
            yana_menu_open = o;
        }
    } else {
        o.style.display = 'none';
    }
}

/**
 * close all nodes of a html-menu
 *
 * see the manual on chapter 5.1.5 skins and templates: expandable HTML-menues
 * (toc might be subject to change)
 *
 * @access  public
 * @name    yanaMenu()
 */
function yanaCloseAll()
{
    var nodelist = document.getElementsByTagName('ul');
    for (var i=0; i < nodelist.length; i++)
    {        alert(nodelist[i]);
        if (nodelist[i].className == 'menu') {
            nodelist[i].style.display = 'none';
        }
    }
}

/**
 * show html preview of a text
 *
 * see the manual on chapter 5.4.11 developer's cookbook: misc. functions - How to create a preview on an entry
 * (toc might be subject to change)
 *
 * @access  public
 * @name    preview()
 * @param   string  target
 * @param   string  source
 */
function preview(target, source)
{
    if (!window.focusedTextarea) {
        return;
    }
    var source = window.focusedTextarea;
    if (document.getElementById(source) && document.getElementById(target)) {
        source = document.getElementById(source).value;
        target = document.getElementById(target);
        target.innerHTML = '<span style="font-size:11px;font-weight:bold">&nbsp; '+preview_js+'</span><br><iframe src="'+php_self+'?action=preview&eintraege='+escape(source)+'" name="preview_window" height="80" width="380" style="border: 2px inset #EEEEEE;" scrolling="no"></iframe>';
    }
}

/**
 * add an emot-icon to message pane
 *
 * see the manual on chapter 5.1.2 templates and skins: new functions - smilies
 * (toc might be subject to change)
 *
 * @access  public
 * @name    preview()
 * @param   string  icon
 * @param   string  ziel
 * @param   event   e
 */
function addIcon(icon, e)
{
    if (!window.focusedTextarea) {
        return;
    }
    var ziel = document.getElementById(window.focusedTextarea);
    if (document.selection) {
        var caretPosition = ziel.value.length + 1;
        if (ziel.createTextRange) {
            range = document.selection.createRange().duplicate();
            while (range.parentElement() == ziel && range.move("character",1) == 1)
            {
                --caretPosition;
            }
         }
         if (caretPosition == ziel.value.length + 1) {
             caretPosition = 0;
         }
    } else if (ziel.selectionEnd) {
        var caretPosition = ziel.selectionEnd;
    } else {
        var caretPosition = ziel.value.length;
    }
    ziel.value = ziel.value.slice(0,caretPosition) + icon + ' ' + ziel.value.slice(caretPosition,ziel.value.length);
    if (e.preventDefault) {
        e.preventDefault();
    }
}

/**
 * auto-loading function to fix IE-Bugs
 *
 * no documentation required
 *
 * @access  public
 * @name    fixIE()
 */
function fixIE()
{
    if (navigator.appName == "Microsoft Internet Explorer") {
        if (!document.body) {
            window.setTimeout('fixIE()', 500);
            return;
        }
        var buttons = document.getElementsByTagName('button');
        for (var i = 0; i < buttons.length; i++)
        {
            var button = buttons.item(i);
            if (button.type == 'submit') {
                var o = button.attributes.getNamedItem('value');
                if (o && o.value) {
                    button.onclick = function() { this.value = o.value; };
                }
            }
        }
    }
}
fixIE();

/**
 * auto-loading function to prepare textarea tags
 *
 * used by: preview, smilies, embedded tags
 *
 * @access  public
 * @name    yanaInitTextareas()
 */
function yanaInitTextareas()
{
    if (!document.body) {
        window.setTimeout('yanaInitTextareas()', 500);
        return;
    } else {
        var list = document.getElementsByTagName('textarea');
        for (var i = 0; i < list.length; i++)
        {
            list[i].onmouseover = function() { window.focusedTextarea = this.id; };
            list[i].onkeydown = function() { window.focusedTextarea = this.id; };
        }
    }
}

yanaInitTextareas();
/******************************************
  Thomas Meyer www.All-Community.de
 Copyright Hinweis nicht entfernen!
******************************************/